Bug 737235 - first boot of FC15 i686 hangs repeatably
Summary: first boot of FC15 i686 hangs repeatably
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 15
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-10 08:16 UTC by Bruce vaNorman
Modified: 2012-08-07 15:37 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:37:56 UTC


Attachments (Terms of Use)

Description Bruce vaNorman 2011-09-10 08:16:37 UTC
Description of problem:
First boot hangs:
- Welcome (OK)
- License (OK)
- Create user - advanced xxx UID=500, GID=500 (OK)
- set time (hang)
- reboot = no BIOS. must must pull power from supply for ~15 minutes before
BIOS becomes accessible. Works on FC14 with nouveau
- can figure out other component versions because can't login. Update repos
used as of 10.Sep.2011.

Version-Release number of selected component (if applicable):
Kernel = 2.6.40.4.5.fc15.i686.PAE

How reproducible:
First boot, repeatable 3 times with fresh install each time

Steps to Reproduce:
1. Install from DVD (GUI)
2. first boot
3.
  
Actual results:
system hang

Expected results:
bring up user account

Additional info:
mobo= M3N78 8gB RAM
video= ASUS EN210 Silent using both HDMI and DVI outputs

Comment 1 Bruce vaNorman 2011-09-10 08:29:51 UTC
Was able to login with kernel parameters
3 enforcing=0 rdblacklist=nouveau nouveau.modeset=0

no SELinus policy installed had to run "sepolgen-ifgen" and "autorelabel"

have CentOS 5 as MBR boot and FC13, FC14, and FC15 as boot partitions with a shared data partition "/dev/sda12" linked up as "/home/xxx/my" to all three platforms - hence UID and GID requirements.

Comment 2 Bruce vaNorman 2011-09-15 02:54:14 UTC
when I get boot message:
1,807307 [drm] nouveau 0000:02:00.0 Pointer to BIT loadval table invalid
 the boot process hangs even with nouveau.modeset=0, the PCIe address is the EN210. There was some mention of an FC13 bug wherein the wizards said it was not nouveau's fault.

also right after lm-sensors I always get
retrigger failed udev events
(does not effect hanging)

Note: the EN210 is new to this machine. It was in a Windows (Hyper-V) machine where is worked flawlessly.

Will try the built in MCP (nVidia 8200) and pull the EN210 to see what happens. I was using the built video (DVI) in conjunction with a PCIe 8300 to get my second DVI port. I switched to the EN210 to get dual digital (TMDS) because there was no progress with either nouveau or xrandr supporting two video devices. The EN210 has independent HDMI and DVI ports to support the two 24" monitors.

If it is the fault of the video adapter's support, is there a dual digital adapter that is supported?

Comment 3 Bruce vaNorman 2011-09-15 04:29:56 UTC
noticed that /var/log/anaconda/anaconda.xlog failed to load nouveau_dri.so which is part of the installed mesa-dri-drivers package

Comment 4 Ben Skeggs 2011-10-10 23:13:43 UTC
I'm a bit confused.  In comment #1 you say you could boot with nouveau.modeset=0 (which would indicate it could be nouveau's fault), and in comment #2 you say it hangs even *with* nouveau.modeset=0 (which would indicate it's probably *not* nouveau's fault)?

Also FWIW, nouveau supports 2 video devices just fine.  The limitations of that come from the X server itself.

Comment 5 Rolle 2011-10-25 14:04:46 UTC
These Bugreports may address the same problem:
Bug 734906
Bug 736181
Bug 737235
Bug 747869

Comment 6 Fedora End Of Life 2012-08-07 15:37:58 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.